Bug 122096 - editors/openoffice.org-3-devel fails to install; cd ${WRKDIR}/tmp/opt/openoffice* not unique
Summary: editors/openoffice.org-3-devel fails to install; cd ${WRKDIR}/tmp/opt/openoff...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-openoffice (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-25 23:00 UTC by Jens Schweikhardt
Modified: 2008-03-30 00:02 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jens Schweikhardt freebsd_committer 2008-03-25 23:00:00 UTC
editors/openoffice.org-3-devel fails to install as follows:
root@hal9000:/usr/ports/editors/openoffice.org-3-devel # make install
===>  Installing for openoffice.org-3.0.20080321
===>   openoffice.org-3.0.20080321 depends on file: /usr/local/share/icons/hicolor/index.theme - found
===>   openoffice.org-3.0.20080321 depends on file: /usr/local/bin/perl5.8.8 - found
===>   openoffice.org-3.0.20080321 depends on file: /usr/local/libdata/xorg/libraries - found
===>   openoffice.org-3.0.20080321 depends on shared library: art_lgpl_2 - found
===>   Generating temporary packing list
===>  Checking if editors/openoffice.org-3-devel already installed
extracting openoffice.org-base-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-brand-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-brand-base-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-brand-calc-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-brand-draw-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-brand-impress-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-brand-math-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-brand-writer-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-calc-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-core01-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-core02-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-core03-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-core04-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-core05-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-core06-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-core07-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-core08-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-draw-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-emailmerge-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-en-US-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-en-US-base-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-en-US-brand-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-en-US-calc-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-en-US-draw-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-en-US-help-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-en-US-impress-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-en-US-math-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-en-US-res-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-en-US-writer-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-gnome-integration-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-graphicfilter-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-headless-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-impress-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-javafilter-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-math-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-ooofonts-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-pyuno-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-testtool-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-ure-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-writer-3.0.0-4-freebsd-8.0-intel.tbz
extracting openoffice.org-xsltfilter-3.0.0-4-freebsd-8.0-intel.tbz
cd: too many arguments
*** Error code 2

Stop in /usr/ports/editors/openoffice.org-3-devel.

Fix: 

fix the do-install target in the port Makefile. The lines with
@cd ${WRKDIR}/tmp/opt/openoffice*
cause the problem. They expand like this on my system:

root@hal9000:/usr/ports/editors/openoffice.org-3-devel/work # echo tmp/opt/openoffice*
tmp/opt/openoffice.org tmp/opt/openoffice.org3.0

I don't know which one of the two dirs is the right one. Maybe both?

-- Makefile snippet with target do-install follows --
# $FreeBSD: ports/editors/openoffice.org-3-devel/Makefile,v 1.358 2008/03/21 11:11:32 maho Exp $

...

do-install:
.if ${LOCALIZED_LANG} == "all"
    @cd ${WRKSRC}/instsetoo_native/unxfbsd?.pro/OpenOffice/bsd/install/en-US/freebsd-*/ ; ${LS} *.t?z > ${WRKDIR}/INSTALLFILES
    @cd ${WRKSRC}/instsetoo_native/unxfbsd?.pro/OpenOffice_languagepack/bsd/install/ ; ${LS} */freebsd*/*.t?z > ${WRKDIR}/LANGPACKFILES
    @${RM} -Rf ${WRKDIR}/tmp
    @${MKDIR} ${WRKDIR}/tmp
    @for i in `${CAT} ${WRKDIR}/INSTALLFILES`; do \
        ${ECHO_CMD} "extracting $$i" ; \
        cd ${WRKDIR}/tmp ; ${TAR} xfz ${WRKSRC}/instsetoo_native/unxfbsd?.pro/OpenOffice/bsd/install/en-US/freebsd-*/$$i ; \
    done
    @for i in `${CAT} ${WRKDIR}/LANGPACKFILES`; do \
        ${ECHO_CMD} "extracting $$i" ; \
        cd ${WRKDIR}/tmp ; ${TAR} xfz ${WRKSRC}/instsetoo_native/unxfbsd?.pro/OpenOffice_languagepack/bsd/install/$$i ;\
    done
    @${MKDIR} ${PREFIX}/${INSTALLATION_BASEDIR}
    @cd ${WRKDIR}/tmp/opt/openoffice* ; ${TAR} cf - -C . . | ${TAR} xf - -C ${PREFIX}/${INSTALLATION_BASEDIR}
.else
    @cd ${WRKSRC}/instsetoo_native/unxfbsd?.pro/OpenOffice/bsd/install/${LOCALIZED_LANG}/freebsd-*/ ; ${LS} *.t?z > ${WRKDIR}/INSTALLFILES
    @${RM} -Rf ${WRKDIR}/tmp
    @${MKDIR} ${WRKDIR}/tmp
    @for i in `${CAT} ${WRKDIR}/INSTALLFILES`; do \
        ${ECHO_CMD} "extracting $$i" ; \
        cd ${WRKDIR}/tmp ; ${TAR} xfz ${WRKSRC}/instsetoo_native/unxfbsd?.pro/OpenOffice/bsd/install/${LOCALIZED_LANG}/freebsd-*/$$i ; \
    done
    @${MKDIR} ${PREFIX}/${INSTALLATION_BASEDIR}
    @cd ${WRKDIR}/tmp/opt/openoffice* ; ${TAR} cf - -C . . | ${TAR} xf - -C ${PREFIX}/${INSTALLATION_BASEDIR}
.endif
How-To-Repeat: 	make install
Comment 1 Edwin Groothuis freebsd_committer 2008-03-25 23:00:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2008-03-29 10:22:31 UTC
maho        2008-03-29 10:22:26 UTC

  FreeBSD ports repository

  Modified files:
    editors/openoffice.org-3-devel Makefile 
    editors/openoffice.org-3-devel/files openoffice.org-wrapper 
                                         pkg-message.in 
  Added files:
    editors/openoffice.org-3-devel/files patch-i87583 
  Log:
  Fix installation.
  
  PR:             122096
  Submitted by:   Jens Schweikhardt
  
  Revision  Changes    Path
  1.359     +6 -4      ports/editors/openoffice.org-3-devel/Makefile
  1.4       +2 -2      ports/editors/openoffice.org-3-devel/files/openoffice.org-wrapper
  1.1       +26 -0     ports/editors/openoffice.org-3-devel/files/patch-i87583 (new)
  1.8       +1 -1      ports/editors/openoffice.org-3-devel/files/pkg-message.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Maho Nakata freebsd_committer 2008-03-30 00:02:33 UTC
State Changed
From-To: open->closed

Fixed. Thanks!